Bug 478041 - MIGRATED_FROM_JIRA: Support Oracle as a source
MIGRATED_FROM_JIRA: Support Oracle as a source
Status: CLOSED UPSTREAM
Product: penrose
Classification: Retired
Component: Adapter (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Chandrasekar Kannan
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 02:53 EST by Chandrasekar Kannan
Modified: 2015-01-04 18:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-27 02:53:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 02:53:14 EST
Support Oracle as a source. The following bug is fixed.

Tried to configure the sample to run on Oracle instead of MySQL. Can connect, but when I query using JXplorer, I get an exception. I turned on debugging and saw that the query being executed is 

select firstName, lastName, password, username from users limit 1000

Limit is a MySQL specific syntaxt. Oracle would require using rownum syntax to limit it.

Here is the log dump

[17/06/2005 11:24:56] JDBC Source: Oracle
[17/06/2005 11:24:57] Executing select firstName, lastName, password, username f
rom users limit 1000
java.sql.SQLException: ORA-00933: SQL command not properly ended

        at oracle.jdbc.driver.DatabaseError.throwSqlException(DatabaseError.java
:124)
        at oracle.jdbc.driver.T4CTTIoer.processError(T4CTTIoer.java:304)
        at oracle.jdbc.driver.T4CTTIoer.processError(T4CTTIoer.java:271)
        at oracle.jdbc.driver.T4C8Oall.receive(T4C8Oall.java:622)
        at oracle.jdbc.driver.T4CPreparedStatement.doOall8(T4CPreparedStatement.
java:180)
        at oracle.jdbc.driver.T4CPreparedStatement.execute_for_describe(T4CPrepa
redStatement.java:419)
        at oracle.jdbc.driver.OracleStatement.execute_maybe_describe(OracleState
ment.java:895)
        at oracle.jdbc.driver.T4CPreparedStatement.execute_maybe_describe(T4CPre
paredStatement.java:451)
        at oracle.jdbc.driver.OracleStatement.doExecuteWithTimeout(OracleStateme
nt.java:985)
        at oracle.jdbc.driver.OraclePreparedStatement.executeInternal(OraclePrep
aredStatement.java:2887)
        at oracle.jdbc.driver.OraclePreparedStatement.executeQuery(OraclePrepare
dStatement.java:2928)
        at org.apache.commons.dbcp.DelegatingPreparedStatement.executeQuery(Dele
gatingPreparedStatement.java:91)
        at org.safehaus.penrose.connection.JDBCAdapter.search(Unknown Source)
        at org.safehaus.penrose.mapping.Source.search(Unknown Source)
        at org.safehaus.penrose.engine.DefaultSearchHandler.getPrimaryKeys(Unkno
wn Source)
        at org.safehaus.penrose.engine.DefaultSearchHandler.search(Unknown Sourc
e)
        at org.safehaus.penrose.engine.DefaultSearchHandler.searchChildren(Unkno
wn Source)
        at org.safehaus.penrose.engine.DefaultSearchHandler.search(Unknown Sourc
e)
        at org.safehaus.penrose.engine.SearchThread.run(Unknown Source)
        at org.safehaus.penrose.thread.ThreadPoolWorker.runIt(Unknown Source)
        at org.safehaus.penrose.thread.ThreadPoolWorker.runWork(Unknown Source)
        at org.safehaus.penrose.thread.ThreadPoolWorker.access$1(Unknown Source)

        at org.safehaus.penrose.thread.ThreadPoolWorker$1.run(Unknown Source)
        at java.lang.Thread.run(Thread.java:595)
[17/06/2005 11:24:57] Find matching module mapping for ou=users,dc=penrose,dc=sa
fehaus,dc=org
[17/06/2005 11:24:57] Returned connection to pool.
[17/06/2005 11:24:57] workerID=12 (threadName=ThreadPoolWorker-12), ready for wo
rk
Additional Comments From endisd dated Wed Jul 06 21:18:34 CDT 2005 
This is fixed in 0.9.2.


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '6',
          'components' => [
                            {
                              'name' => 'Adapter',
                              'id' => '10011'
                            }
                          ],
          'key' => 'PENROSE-31',
          'assignee' => 'endisd',
          'summary' => 'Support Oracle as a source',
          'id' => '10142',
          'updated' => '2005-07-26 10:01:10.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2005-07-06 00:00:00.0',
                             'sequence' => '2',
                             'name' => 'Penrose-0.9.2',
                             'released' => 'true',
                             'id' => '10005',
                             'archived' => 'false'
                           }
                         ],
          'affectsVersions' => [],
          'description' => 'Support Oracle as a source. The following bug is fixed.

Tried to configure the sample to run on Oracle instead of MySQL. Can connect, but when I query using JXplorer, I get an exception. I turned on debugging and saw that the query being executed is 

select firstName, lastName, password, username from users limit 1000

Limit is a MySQL specific syntaxt. Oracle would require using rownum syntax to limit it.

Here is the log dump

[17/06/2005 11:24:56] JDBC Source: Oracle
[17/06/2005 11:24:57] Executing select firstName, lastName, password, username f
rom users limit 1000
java.sql.SQLException: ORA-00933: SQL command not properly ended

        at oracle.jdbc.driver.DatabaseError.throwSqlException(DatabaseError.java
:124)
        at oracle.jdbc.driver.T4CTTIoer.processError(T4CTTIoer.java:304)
        at oracle.jdbc.driver.T4CTTIoer.processError(T4CTTIoer.java:271)
        at oracle.jdbc.driver.T4C8Oall.receive(T4C8Oall.java:622)
        at oracle.jdbc.driver.T4CPreparedStatement.doOall8(T4CPreparedStatement.
java:180)
        at oracle.jdbc.driver.T4CPreparedStatement.execute_for_describe(T4CPrepa
redStatement.java:419)
        at oracle.jdbc.driver.OracleStatement.execute_maybe_describe(OracleState
ment.java:895)
        at oracle.jdbc.driver.T4CPreparedStatement.execute_maybe_describe(T4CPre
paredStatement.java:451)
        at oracle.jdbc.driver.OracleStatement.doExecuteWithTimeout(OracleStateme
nt.java:985)
        at oracle.jdbc.driver.OraclePreparedStatement.executeInternal(OraclePrep
aredStatement.java:2887)
        at oracle.jdbc.driver.OraclePreparedStatement.executeQuery(OraclePrepare
dStatement.java:2928)
        at org.apache.commons.dbcp.DelegatingPreparedStatement.executeQuery(Dele
gatingPreparedStatement.java:91)
        at org.safehaus.penrose.connection.JDBCAdapter.search(Unknown Source)
        at org.safehaus.penrose.mapping.Source.search(Unknown Source)
        at org.safehaus.penrose.engine.DefaultSearchHandler.getPrimaryKeys(Unkno
wn Source)
        at org.safehaus.penrose.engine.DefaultSearchHandler.search(Unknown Sourc
e)
        at org.safehaus.penrose.engine.DefaultSearchHandler.searchChildren(Unkno
wn Source)
        at org.safehaus.penrose.engine.DefaultSearchHandler.search(Unknown Sourc
e)
        at org.safehaus.penrose.engine.SearchThread.run(Unknown Source)
        at org.safehaus.penrose.thread.ThreadPoolWorker.runIt(Unknown Source)
        at org.safehaus.penrose.thread.ThreadPoolWorker.runWork(Unknown Source)
        at org.safehaus.penrose.thread.ThreadPoolWorker.access$1(Unknown Source)

        at org.safehaus.penrose.thread.ThreadPoolWorker$1.run(Unknown Source)
        at java.lang.Thread.run(Thread.java:595)
[17/06/2005 11:24:57] Find matching module mapping for ou=users,dc=penrose,dc=sa
fehaus,dc=org
[17/06/2005 11:24:57] Returned connection to pool.
[17/06/2005 11:24:57] workerID=12 (threadName=ThreadPoolWorker-12), ready for wo
rk',
          'created' => '2005-06-17 13:38:55.0',
          'environment' => 'Oracle 10G, Windows XP',
          'resolution' => '1',
          'type' => '1'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 02:53:17 EST
Closing bug as it was already closed in Jira - PENROSE-31

Note You need to log in before you can comment on or make changes to this bug.